#! /bin/bash
# This script is part of Acronis Backup Advanced for SAP HANA solution
# It is supported by Acronis only as part of the entire solution in accordance with http://www.acronis.com/support/eula-corp.html
# By using this script you accept the terms of the EULA http://www.acronis.com/support/eula-corp.html
# Modification or use outside of the solution is done at your own risk and will not be supported by Acronis
# Contact http://www.acronis.com/en-us/support/ with any questions or concerns
# Copyright (C) 2019 Acronis

if [ "$EUID" -ne 0 ]
  then echo "Please run setup as root"
  exit
fi

dir="/usr/lib/Acronis"
sbinDir="/usr/sbin"

if [ ! -d $dir ]; then
  mkdir -p $dir
fi

hanaDir="/SAPHANA"
bashDir="$hanaDir/bash"
pythonDir="$hanaDir/python"

cp -a ./AcroSAPHANA/SAPHANA $dir/

chmod +x $dir$pythonDir/python

chown root:root $dir$bashDir/*.sh
chmod 700 $dir$bashDir/*.sh

chown root:root $dir$bashDir/path.cfg
chmod 700 $dir$bashDir/path.cfg

cp -a ./AcroSAPHANA/SBIN/* $sbinDir/
chown root:root $sbinDir/pre-freeze-script
chmod 700 $sbinDir/pre-freeze-script
chown root:root $sbinDir/post-thaw-script
chmod 700 $sbinDir/post-thaw-script

echo "Setup Done"
